import torch.nn as nn
import torch.nn.functional as F


class MLP(nn.Module):
    def __init__(self, in_dim, hidden_dim, out_dim):
        super(MLP, self).__init__()
        self.l1 = nn.Linear(in_dim, hidden_dim)
        self.l2 = nn.Linear(hidden_dim, hidden_dim)
        self.l3 = nn.Linear(hidden_dim, out_dim)

    def forward(self, x):
        x = self.l1(x)
        # x = F.relu(x, inplace=True)
        x = self.l2(x)
        # x = F.relu(x, inplace=True)
        x = self.l3(x)
        # x = F.relu(x, inplace=True)
        return x
