#!/bin/sh

time_start=$(date)
echo 'Start time: '${time_start}

python src/test.py \
  --dim 128 \
  --n_rounds 5 \
  --model_file 'neuro_pb_kp_sr5to5_ep200_nr5_d128_best.pth.tar' \
  --data_file $1 \
  --log_file $2

# e.g.
# $1: 'kp_v5to5_tp5_npb12000_nb10.pkl'
# $2: 'test_v3to10_v5.log'

time_finish=$(date)
echo 'Finish time: '${time_finish}
