#!/bin/sh

min_n=3
max_n=10

time_start=$(date)
echo 'Start time: '${time_start}

python src/train.py \
  --task_name 'neuro_pb_mis' \
  --dim 128 \
  --n_rounds 50 \
  --epochs 600 \
  --n_pairs 100000 \
  --max_nodes_per_batch 12000 \
  --min_n ${min_n} \
  --max_n ${max_n} \
  --py_seed 7 \
  --val-file 'mis_v10to10_npb12000_nb37.pkl'

time_finish=$(date)
echo 'Finish time: '${time_finish}
