#!/bin/sh

time_start=$(date)
echo 'Start time: '${time_start}

python src/test.py \
  --dim 128 \
  --n_rounds 50 \
  --model_file 'neuro_pb_mis_sr10to20_ep600_nr50_d128_best.pth.tar' \
  --data_file $1 \
  --log_file $2

# e.g.
# $1: 'mis_v20to20_npb12000_nb114.pkl'
# $2: 'test_v10to20_v20.log'

time_finish=$(date)
echo 'Finish time: '${time_finish}