#!/bin/sh

min_n=40
max_n=40

time_start=$(date)
echo 'Start time: '${time_start}

python src/train.py \
  --task_name 'neuro_pb_kp' \
  --dim 128 \
  --n_rounds 5 \
  --epochs 200 \
  --n_pairs 100000 \
  --max_nodes_per_batch 12000 \
  --min_n ${min_n} \
  --max_n ${max_n} \
  --py_seed 7 \
  --val-file 'kp_v40to40_tp5_npb12000_nb69.pkl'

time_finish=$(date)
echo 'Finish time: '${time_finish}
