import argparse

project_dir = '/pub/data/liumh/neuro_pb_kp/'

parser = argparse.ArgumentParser()
parser.add_argument('--task_name', type=str, default='neuroilp')

parser.add_argument('--dim', type=int, default=128)
parser.add_argument('--n_rounds', type=int, default=26)
parser.add_argument('--epochs', type=int, default=10)

parser.add_argument('--n_pairs', action='store', type=int)
parser.add_argument('--max_nodes_per_batch', action='store', type=int)
parser.add_argument('--min_n', type=int, default=10)
parser.add_argument('--max_n', type=int, default=40)

parser.add_argument('--py_seed', action='store', dest='py_seed', type=int, default=None)
parser.add_argument('--one', action='store', dest='one', type=int, default=0)

parser.add_argument('--log-dir', type=str, default=project_dir+'log/')
parser.add_argument('--model-dir', type=str, default=project_dir+'model/')
parser.add_argument('--data-dir', type=str, default=project_dir+'data/')
parser.add_argument('--restore', type=str, default=None)

parser.add_argument('--val-file', type=str, default=None)
